does osx 10.6.8 have icloud?

I want to use iCloud... I don't see it on my mac 10.6.4

Back To Product

Follow this Question

4 Answers from the Community

  • Best Answer:

    You need Lion (OS 10.7.2 or later).

    Was this useful? Answer 1

    128 of 161 people found this useful

  • you must have a os x lion on your mac to use icloud.

    Was this useful? Answer 2

    42 of 57 people found this useful

  • no

    Was this useful? Answer 3

    16 of 28 people found this useful

  • no, it does not have icloud.

    Was this useful? Answer 4

    3 of 6 people found this useful

Related Questions